Bug 58466 - lang/itcl: Update build for tcl8.4
Summary: lang/itcl: Update build for tcl8.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-10-23 23:20 UTC by Mike Edenfield
Modified: 2003-12-05 11:13 UTC (History)
0 users

See Also:


Attachments
itcl.patch (3.20 KB, patch)
2003-10-23 23:20 UTC, Mike Edenfield
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Edenfield 2003-10-23 23:20:18 UTC
Note that one test in the test suite fails, but the failure is due to a change in the wording of an error message:

---- Result was:
1 {wrong # args: should be "test_numbers three x y z"}
---- Result should have been (exact matching):
1 {no value given for parameter "y" to "test_numbers three"}
==== ensemble-1.5 FAILED

The library still appears to function as it should.  For some reason my changes to ensemble.test were ignored.
Comment 1 Kirill Ponomarev freebsd_committer 2003-10-24 19:43:34 UTC
State Changed
From-To: open->feedback

It fails on -stable: 

Tests ended at Fri Oct 24 20:42:23 CEST 2003 
all.tcl:        Total   3259    Passed  3248    Skipped 0       Failed  11 
Sourced 120 Test Files. 
Files with failing tests: ensemble.test ensemble.test ensemble.test 
ensemble.test ensemble.test ensemble.test ensemble.test ensemble.test 
ensemble.test ensemble.test ensemble.test 
Found 11 test file failures 
invoked from within 
"if {$numFailures > 0} { 
return -code error -errorcode $numFailures  
-errorinfo "Found $numFailures test file failures" 
} else { 
return 
}"   
(file "tests/all.tcl" line 116) 
*** Error code 1
Comment 2 Mike Edenfield 2003-10-25 01:11:18 UTC
Sorry, I forgot I had bypassed the tests when I couldn't get that one to
work so I could make sure itcl worked anyway.

Please include this additional file in the itcl/files directory along
with the other two new patch files:

--- file itcl/files/patch-test begins here ---
--- tests/ensemble.test.orig	Fri Oct 24 20:00:39 2003
+++ tests/ensemble.test	Fri Oct 24 20:00:53 2003
@@ -46,7 +46,7 @@
 
 test ensemble-1.5 {invoking parts with improper arguments} {
     list [catch "test_numbers three x" msg] $msg
-} {1 {no value given for parameter "y" to "test_numbers three"}}
+} {1 {wrong # args: should be "test_numbers three x y z"}}
 
 test ensemble-1.6 {errors trigger a usage summary} {
     list [catch "test_numbers foo x y" msg] $msg
--- file itcl/files/patch-test ends here ---
Comment 3 Mathieu Arnold freebsd_committer 2003-11-24 13:12:24 UTC
State Changed
From-To: feedback->open

patch resubmitted 


Comment 4 Mathieu Arnold freebsd_committer 2003-11-24 13:12:24 UTC
Class Changed
From-To: sw-bug->update

Update
Comment 5 Pav Lucistnik freebsd_committer 2003-12-05 11:13:30 UTC
State Changed
From-To: open->closed

Committed, thanks!